Page MenuHomePhabricator

Services team roadmap July - September 2015 (Q1 2015/16)
Closed, ResolvedPublic0 Story Points

Description

Top priorities

Mobile app service deployment and API

Scale RESTBase, replicate across datacenters

Figure out a plan for change / event propagation

Ongoing

  • set up RESTBase cluster in codfw, replicate from eqiad
  • API support for mobile VE: citation and page metadata retrieval and edit APIs. See T102867, T55508.
  • REST API expansion to cover all content-related functionality: T103811
  • enable Varnish caching / purging for high-traffic end points
  • service development support: Graphoid, Citoid, Mathoid, possibly lead images (T88633)
  • Cassandra cluster scaling: T93790
  • Deployment system development (with release engineering)
  • Help with HTML dumps (T17017)

Related Objects

StatusAssignedTask
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
ResolvedNone
Resolved GWicke
Resolved GWicke
ResolvedNone
Resolved GWicke
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
InvalidNone
ResolvedPchelolo
ResolvedArlolra
Resolvedmobrovac
Resolvedbd808

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2015, 11:27 PM
GWicke triaged this task as Normal priority.Jun 12 2015, 11:28 PM
GWicke added a project: Services.
GWicke set Security to None.
GWicke edited subscribers, added: damons, mobrovac, Eevans; removed: Aklapper.
GWicke updated the task description. (Show Details)Jun 12 2015, 11:41 PM
mobrovac moved this task from Backlog to Next on the Services board.Jun 15 2015, 4:04 PM
GWicke updated the task description. (Show Details)Jun 15 2015, 4:06 PM
GWicke updated the task description. (Show Details)Jun 15 2015, 4:13 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jun 15 2015, 4:18 PM
GWicke updated the task description. (Show Details)Jun 16 2015, 12:53 AM
GWicke updated the task description. (Show Details)Jun 17 2015, 6:04 PM
GWicke updated the task description. (Show Details)Jun 17 2015, 6:39 PM
GWicke updated the task description. (Show Details)Jun 17 2015, 7:04 PM
GWicke updated the task description. (Show Details)Jun 17 2015, 7:58 PM
mobrovac updated the task description. (Show Details)Jun 18 2015, 11:06 AM
GWicke updated the task description. (Show Details)Jun 26 2015, 9:16 PM
GWicke updated the task description. (Show Details)Jun 26 2015, 9:34 PM
GWicke updated the task description. (Show Details)Jun 27 2015, 12:17 AM
GWicke updated the task description. (Show Details)Jun 27 2015, 12:39 AM
GWicke updated the task description. (Show Details)Jun 30 2015, 9:36 PM
ssastry moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Jul 1 2015, 5:10 PM
GWicke updated the task description. (Show Details)Jul 6 2015, 10:22 PM
GWicke updated the task description. (Show Details)Jul 14 2015, 7:49 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jul 21 2015, 4:00 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Aug 10 2015, 6:43 PM
mobrovac moved this task from Next to In-progress on the Services board.Sep 10 2015, 3:41 PM
GWicke closed this task as Resolved.EditedOct 5 2015, 11:49 PM
GWicke claimed this task.

The quarter is over, and it's time to wrap up. It looks like we did fairly well:

  • The mobile app service is deployed, and testing with the Android app has started. Basic Varnish caching support is ready to go once the app team is finalizing their responses. Pre-generating the content and storing it in RESTBase is something we'll take on along with basic change propagation this quarter.
  • RESTBase is up in codfw, with replication from eqiad. Cross-DC traffic is encrypted right from the start. The next step here is enabling multi-instance support, and once that's ready syncing the full dataset to codfw. After testing in staging, multi-instance support has been deployed to production earlier today, and Filippo is well on track to enable this in codfw soon.
  • We have a basic plan for the event bus and change propagation:
    1. Implement a basic Kafka-based event bus, storing JSON events conforming to JSON schemas.
    2. Emit basic edit events from MediaWiki, and change events from RESTBase.
    3. Use these events to orchestrate basic change propagation in RESTBase and other services.
    4. [Q3] Tackle the more complex fine-grained dependency tracking problem (T105766)
Danny_B removed a subscriber: VisualEditor.
Jdforrester-WMF set the point value for this task to 0.Jul 8 2016, 6:38 PM